class CreateTheatreProgrammes < ActiveRecord::Migration[8.0]
  def change
    create_table :theatre_programmes, primary_key: [:theatre_id, :position] do |t|
      t.references :theatre, null: false, foreign_key: true
      t.integer :position, null: false
      t.references :post, null: false, foreign_key: true
      t.datetime :created_at, null: false
    end
  end
end
